# aircraft_gui.cpp File Reference

The GUI of aircraft. More...

`#include "stdafx.h"`
`#include "aircraft.h"`
`#include "vehicle_gui.h"`
`#include "newgrf_engine.h"`
`#include "strings_func.h"`
`#include "vehicle_func.h"`
`#include "window_gui.h"`
`#include "spritecache.h"`
`#include "table/strings.h"`

Go to the source code of this file.

## Functions
void | DrawAircraftDetails (const Aircraft *v, int left, int right, int y)
| Draw the details for the given vehicle at the given position.
void | DrawAircraftImage (const Vehicle *v, int left, int right, int y, VehicleID selection)
| Draws an image of an aircraft.

## Detailed Description

The GUI of aircraft.

Definition in file aircraft_gui.cpp.

## Function Documentation

void DrawAircraftDetails | ( | const Aircraft * | v,
|  | int | left,
|  | int | right,
|  | int | y |
| ) |  |  |

Draw the details for the given vehicle at the given position.

Parameters:

  | v | current vehicle
  | left | The left most coordinate to draw
  | right | The right most coordinate to draw
  | y | The y coordinate

Definition at line 31 of file aircraft_gui.cpp.

References Vehicle::cargo_cap, DrawString(), FONT_HEIGHT_NORMAL, GetCargoSubtypeText(), SpecializedVehicle< T, Type >::Next(), SA_LEFT, SA_STRIP, and SetDParam().

Referenced by VehicleDetailsWindow::DrawVehicleDetails().

void DrawAircraftImage | ( | const Vehicle * | v,
|  | int | left,
|  | int | right,
|  | int | y,
|  | VehicleID | selection |
| ) |  |  |

Draws an image of an aircraft.

Parameters:

  | v | Front vehicle
  | left | The minimum horizontal position
  | right | The maximum horizontal position
  | y | Vertical position to draw at
  | selection | Selected vehicle to draw a frame around

Definition at line 79 of file aircraft_gui.cpp.

References _current_text_dir, AIR_HELICOPTER, DIR_E, DIR_W, DrawFrameRect(), DrawSprite(), FR_BORDERONLY, SpecializedVehicle< Aircraft, VEH_AIRCRAFT >::From(), Vehicle::GetImage(), GetVehiclePalette(), Sprite::height, Pool< Titem, Tindex, Tgrowth_step, Tmax_size, Tcache, Tzero >::PoolItem< Tpool >::index, ST_NORMAL, Vehicle::subtype, TD_RTL, Vehicle::vehstatus, VS_CRASHED, Sprite::width, Sprite::x_offs, and Sprite::y_offs.

Referenced by DrawVehicleImage(), and DepotWindow::DrawVehicleInDepot().